Part Box/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(3 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav/ru
{{Docnav/ru
|
|
Line 17: Line 18:
}}
}}


== Description ==

<div class="mw-translate-fuzzy">
==Описание==
==Описание==
Команда Куб из [[Part_Workbench|верстака Part]] добавляет параметрический геометрический примитив [https://ru.wikipedia.org/wiki/Прямоугольный_параллелепипед] в текущий документ. По умолчанию, команда добавляет куб с ярлыком "Куб" со сторонами 10х10х10 мм и располагает его в центре системы координат. Эти параметры могут быть изменены после добавления объекта.
Команда Куб из [[Part_Workbench|верстака Part]] добавляет параметрический геометрический примитив [https://ru.wikipedia.org/wiki/Прямоугольный_параллелепипед] в текущий документ. По умолчанию, команда добавляет куб с ярлыком "Куб" со сторонами 10х10х10 мм и располагает его в центре системы координат. Эти параметры могут быть изменены после добавления объекта.
</div>


[[Image:Part_Box.jpg|400px|Part_Box]]
[[Image:Part_Box_Example.png|400px]]


== Usage ==
<div class="mw-translate-fuzzy">
==Использование==
# Переключитесь на [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|верстак Part]]
# Существует несколько способов вызова команды:
#* Нажмите на иконку куба {{Button|[[Image:Part_Box.svg|16px]]}} на панели инструментов.
#* Выберите из меню {{MenuCommand|ДетальПримитивы → [[Image:Part_Box.svg|16px]] Куб}}.
</div>


# There are several ways to invoke the command:
'''Result:''' The default result is a box with an equal length, width and height of 10 mm. It is attached to the global xy-plane and one edge is coincident with the global z-axis.
#* Press the {{Button|[[Image:Part_Box.svg|16px]] [[Part_Box|Part Box]]}} button.
#* Select the {{MenuCommand|PartPrimitives → [[Image:Part_Box.svg|16px]] Cube}} option from the menu.
# The box is created.
# Optionally change the dimensions and {{PropertyData|Placement}} of the box by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


== Example ==
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.


[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]
==Properties==
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement|Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


A Part Box object created with the [[#Scripting|scripting example]] below is shown here.
{{Properties_Title|Box}}
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.


== Notes ==
[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]


* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
==Scripting==

The Box command can by used in [[Macros|macros]] and from the python console using the following function:
== Properties ==
{{Code|code=

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
See also: [[Property_editor|Property editor]].
}}

* Where "myBox" is the label for the Box object.
A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* Returns newly created object of type Box.

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Box}}

* {{PropertyData|Length|Length}}: The length of the box. This is the dimension in its X direction. The default is {{Value|10mm}}.
* {{PropertyData|Width|Length}}: The width of the box. This is the dimension in its Y direction. The default is {{Value|10mm}}.
* {{PropertyData|Height|Length}}: The height of the box. This is dimension in its Z direction. The default is {{Value|10mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Box can be created with the {{Incode|addObject()}} method of the document:


You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
}}
}}


* Where {{Incode|"myBox"}} is the name for the object.
You can change its placement with:
* The function returns the newly created object.

Example:

{{Code|code=
{{Code|code=
import FreeCAD as App
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}
}}




{{Docnav
{{Docnav/ru
|
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Cylinder/ru|Цилиндр]]
|[[Part_Workbench|Part]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=
|IconL=
|IconR=Part_Cylinder.svg
|IconR=Part_Cylinder.svg
Line 76: Line 109:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:01, 4 March 2022

Куб

Системное название
Part_Box
Расположение в меню
Деталь → Примитивы → Куб
Верстаки
Part
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать примитивы

Description

Описание

Команда Куб из верстака Part добавляет параметрический геометрический примитив [1] в текущий документ. По умолчанию, команда добавляет куб с ярлыком "Куб" со сторонами 10х10х10 мм и располагает его в центре системы координат. Эти параметры могут быть изменены после добавления объекта.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Box button.
    • Select the Part → Primitives → Cube option from the menu.
  2. The box is created.
  3. Optionally change the dimensions and ДанныеPlacement of the box by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the ДанныеPlacement with the Std TransformManip command.

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

  • ДанныеLength (Length): The length of the box. This is the dimension in its X direction. The default is 10mm.
  • ДанныеWidth (Length): The width of the box. This is the dimension in its Y direction. The default is 10mm.
  • ДанныеHeight (Length): The height of the box. This is dimension in its Z direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Box can be created with the addObject() method of the document:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()